POST api/SocialHistoryAlcohols
Creates a new alcohol use entry or updates an existing one.
Request Information
URI Parameters
None.
Body Parameters
Model used to create or modify an alcohol use entry.
SocialHistoryAlcoholModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the social history alcohol (Required). |
string |
None. |
| IsDefault |
Indicates whether this social history alcohol is default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this social history alcohol in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "fd1fd688-7c1d-4333-ade2-f349690b9a5d",
"externalId": "sample string 5"
}
application/xml, text/xml
<SocialHistoryAlcoholModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryAlcohols"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">fd1fd688-7c1d-4333-ade2-f349690b9a5d</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </SocialHistoryAlcoholModel>
application/x-www-form-urlencoded
Response Information
Resource Description
SocialHistoryAlcoholModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the social history alcohol (Required). |
string |
None. |
| IsDefault |
Indicates whether this social history alcohol is default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this social history alcohol in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "fe3a3329-f8f4-4606-a38d-dc8f479d0a45",
"externalId": "sample string 5"
}
application/xml, text/xml
<SocialHistoryAlcoholModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryAlcohols"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">fe3a3329-f8f4-4606-a38d-dc8f479d0a45</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </SocialHistoryAlcoholModel>